Subject: Re: ppc32: Rework power management take #3

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 03 Jun 2005 08:15:03 +1000

> Today I applied the two mentioned patches to rc5-git6. There were quite
> a lot of offsets and one time fuzz 2 (hunk 10 in via-pm.c). But still I
> get a freeze on my PowerBook6,2 (12", 1Ghz from Dec. 2004) when I
> suspend to disk from X. If I suspend from tty1 the first time, the
> following suspends work well even from X.
> 
> Thanks for your work,

Bizarre... The kernel is normally first opens a new tty and switches to
it before suspend. It seems that this opening of a new tty is
conflicting in some way with X "nv" driver and causing that freeze. Are
you also using an fbdev like rivafb or nvidiafb or are you defaulting to
offb ? If you do, Can you try booting with video=ofonly and tell me if
it helps ?

Ben.